Create Device

Create a FHIR R6 Device resource.

Endpoint

POST /api/fhir/r6-ballot4/Device

Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4

Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Device

The examples use illustrative identifiers and values.

Headers

{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}

Parameters

ParameterInRequiredTypeDescription
No parameters

Authorization

The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.

Context Scope form
Resource-server definition system/Device.c
Client grant/token request ddfssystem/Device.c
Issued token's scope claim system/Device.c

Example Request

{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/Device","value":"example-resource"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"manufacturer":"Example Medical Device Company","modelNumber":"ExampleModel"}

Example Response

{
  "resourceType": "Device",
  "id": "00000000-0000-4000-8000-000000000004",
  "meta": {
    "versionId": "1",
    "lastUpdated": "2025-01-01T00:00:00Z",
    "profile": [],
    "security": [],
    "tag": [
      {
        "system": "https://example.com/fhir/tag",
        "code": "example-resource",
        "display": "Example resource"
      }
    ]
  },
  "identifier": [
    {
      "system": "https://example.com/fhir/identifier/Device",
      "value": "example-resource"
    }
  ],
  "manufacturer": "Example Medical Device Company",
  "modelNumber": "ExampleModel"
}

Behavior

Creates a Device resource.

cURL Example

curl.exe `
  -sS `
  -X POST `
  https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Device `
  -H 'Accept: application/fhir+json' `
  -H 'Authorization: Bearer [REDACTED]' `
  -H 'Content-Type: application/fhir+json' `
  --data '{"resourceType":"Device","identifier":[{"system":"https://example.com/fhir/identifier/Device","value":"example-resource"}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"manufacturer":"Example Medical Device Company","modelNumber":"ExampleModel"}'

Status Codes

CodeStatus
201 Created Device representation.

FHIR Definition

Canonical: https://hl7.org/fhir/6.0.0-ballot4/device.html

Related Operations